OpenSubdiv: PatchParam Struct Reference

| OpenSubdiv

Loading...
Searching...
No Matches
PatchParam Struct Reference

`#include <types.h>`

Inheritance diagram for PatchParam:

## Public Attributes
float | sharpness
Public Attributes inherited from PatchParam
unsigned int | field0:32
unsigned int | field1:32

## Additional Inherited Members
Public Member Functions inherited from PatchParam
void | Set (Index faceid, short u, short v, unsigned short depth, bool nonquad, unsigned short boundary, unsigned short transition, bool regular=false)
| Sets the values of the bit fields.
void | Clear ()
| Resets everything to 0.
Index | GetFaceId () const
| Returns the faceid.
unsigned short | GetU () const
| Returns the log2 value of the u parameter at the first corner of the patch.
unsigned short | GetV () const
| Returns the log2 value of the v parameter at the first corner of the patch.
unsigned short | GetTransition () const
| Returns the transition edge encoding for the patch.
unsigned short | GetBoundary () const
| Returns the boundary edge encoding for the patch.
bool | NonQuadRoot () const
| True if the parent base face is a non-quad.
unsigned short | GetDepth () const
| Returns the level of subdivision of the patch.
float | GetParamFraction () const
| Returns the fraction of unit parametric space covered by this face.
template<typename REAL>
void | Normalize (REAL &u, REAL &v) const
| A (u,v) pair in the fraction of parametric space covered by this face is mapped into a normalized parametric space.
template<typename REAL>
void | NormalizeTriangle (REAL &u, REAL &v) const
template<typename REAL>
void | Unnormalize (REAL &u, REAL &v) const
| A (u,v) pair in a normalized parametric space is mapped back into the fraction of parametric space covered by this face.
template<typename REAL>
void | UnnormalizeTriangle (REAL &u, REAL &v) const
bool | IsTriangleRotated () const
| Returns if a triangular patch is parametrically rotated 180 degrees.
bool | IsRegular () const
| Returns whether the patch is regular.

## Detailed Description

Definition at line 110 of file types.h.

## Member Data Documentation

## ◆ sharpness

float sharpness

Definition at line 112 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/types.h